'use strict';

import {render, findDOMNode} from 'weex-rx';

export function mount(element, target) {
  let node;
  if (target == 'body') {
    if (typeof document !== 'undefined') {
      if(typeof WEEX_WEB_ENV !== 'undefined') {
            node  = document.getElementById('body')
        }else {
            node = document;
        }
    } else if ( typeof __weex_document__ !== 'undefined') {
      node = __weex_document__;
    }
  } else {
    node = findDOMNode(target);
  }

  if (node == null) {
    throw Error('Target "' + target + '" not found.');
  }

  return render(element, node);
}
